from scipy import fftpack
import numpy
import soundfile

# 音声ファイルの読み込み
data, rate = soundfile.read('la.wav')

# 入力値の個数、周波数の配列、周波数ごとの強さの配列
n = len(data)
a = fftpack.fftfreq(n, 1/rate)
b = numpy.abs(fftpack.fft(data))

# 周波数と強さを出力
for i in range(n//2):
    print(a[i], 'Hz', b[i])
